
import ast
import re
from os import path
from setuptools import setup, find_packages

base_dir = path.abspath(path.dirname(__file__))

with open(path.join(base_dir, "README.md")) as f:
    long_description = f.read()

with file(path.join(base_dir, "src/ginger_alte/__init__.py")) as f:
    for line in f:
        matches = re.findall(r'^__version__\s*=\s*(.+)$', line)
        if matches:
            version = ast.literal_eval(matches[0])
            break

setup(
    name="ginger_alte",
    description="django app for integrating admin lite theme",
    long_description=long_description,
    version=version,
    # url="https://github.com/vivsh/django-ginger",
    license="BSD",
    classifiers=[
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Topic :: Text Processing :: Markup :: HTML'
    ],
    keywords="django utilities",
    install_requires=[

    ],
    include_package_data=True,
    package_dir = {"": "src"},
    packages=find_packages("src"),
    entry_points={
        "console_scripts": [

        ]
    }
)
